Page MenuHomePhabricator

add translations to generic email for failed recurring donations
Closed, ResolvedPublic2 Estimated Story Points

Description

Eventually add translations for non-EN languages, building off of
T230064: generate generic email for failed recurring donations

Event Timeline

MBeat33 created this task.Jun 18 2020, 11:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2020, 11:40 PM
MBeat33 updated the task description. (Show Details)Jun 18 2020, 11:48 PM

Hi all!
The copy for 10 languages is ready. Please find the translations here . I also noticed there is a duplicate task for this (see: https://phabricator.wikimedia.org/T244797) . Thank you!

DStrine added a subscriber: DStrine.EditedJun 30 2020, 11:55 PM

@CDenes_WMF I heard @CCogdill_WMF and @spatton was still working on copy changes. It didn't sound like this was going to get the full translation pass just yet. I'm almost certain you are going to get another version to translate relatively soon.

I'm wondering if everyone could talk and discuss how to proceed.

Also to differentiate: T244797 is for the monthly convert email (the one you get when you start a recurring transaction from the monthly convert flow)

This task is for the text when a recurring transaction fails and the donor needs to start a new recurring donation.

CDenes_WMF added a comment.EditedJul 1 2020, 12:08 AM

@DStrine Thank you for looking out David-- we definitely do not want to kick off translations until English copy is finalized! But this is a special case as we already met and discussed (with DS involved as well) and agreed to use the already translated Donor Services macro copy (for a failed recurring situation) in order to recycle translations and save some time/effort. We have these in 10 languages (all organized in the Google doc linked above).

In Q2 I will work on translations for the remaining 11 languages that we do not have the macros already translated in (and by then the English copy will definitely be finalized). Hope that makes sense, let me know if it's unclear.

And my mistake on that 2nd phab task -- false alarm!

Hi @DStrine ! Could you please confirm we're good to move forward considering the above? Thank you :)

Camille

mepps added a subscriber: mepps.Jul 22 2020, 7:13 PM

Highest priority: japanese, swedish, and french.

Thank you for scheduling this. The current translations will be very useful to be able to send in following up with T258013: Fix stuck recurring contributions, add alarm, and great to have before the new Q2 copy and translations.

Note we should add the utf_medium in first (so we don't add these & then have to edit in the medium on each translation)

DStrine set the point value for this task to 2.Aug 4 2020, 7:45 PM
DStrine triaged this task as Medium priority.Aug 4 2020, 9:01 PM
mepps claimed this task.Aug 11 2020, 7:44 PM

@Eileenmcnaughton where do we add that again?

mepps added a comment.Aug 11 2020, 8:19 PM

@Eileenmcnaughton was referencing https://phabricator.wikimedia.org/T256184 which we will want to do for the translations and update the text. Ideally we'd move this to a token at some point.

Change 619775 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm@master] WIP: Starting language loading

https://gerrit.wikimedia.org/r/619775

mepps added a comment.Aug 12 2020, 8:40 PM

@CDenes_WMF I'm looking through these translations but I notice none have the amount in there. I might be able to add it to french but not the others. Does that matter?

Hi Michael! Do you mean the donation amount variable? It was never included in the original donor services macro that we are repurposing, thus why it is not there. If we needed to add the amount, we would have to re-translate the whole sentence for each language, because sentence structures can change depending on the language. Hope that helps.

Thank you,
Camille

oh woops! i got the 'm' handles mixed up. Sorry Maggie :) Anyways, that's why amount variable is intentionally missing. Thank you!

oh woops! i got the 'm' handles mixed up. Sorry Maggie :) Anyways, that's why amount variable is intentionally missing. Thank you!

mepps added a comment.Aug 13 2020, 2:31 PM

@CDenes_WMF No worries! This is the text I'm comparing against. Also note that it's signed by @MBeat33. Was that intentional?

Hi {contact.first_name},

Thank you for your continued support of the Wikimedia Foundation and free knowledge. In {now.MMMM}, we were unable to process your monthly donation of {contributionRecur.amount__format_money} to Wikipedia.

Your support is very important to us. If you would like to renew your support for Wikipedia on a monthly basis, please take one minute to start a new recurring donation, and keep Wikipedia online and ad-free.

Wikipedia exists thanks to contributions from readers like you.

Thank you again for your support of this mission.

https://donate.wikimedia.org

Sincerely,
Michael Beattie
Wikimedia Foundation Fundraising Team

You are receiving this email at {contact.email} as a valued donor of the Wikimedia Foundation. If you do not wish to receive any future emails from the Wikimedia Foundation, unsubscribe now. If you've already donated recently, we may have an alternate email address on file for you. Please let us know it! We'll be happy to unsubscribe any old email addresses.

Wikimedia Foundation, Inc.
P.O. Box 98204
Washington, DC 20090-8204
United States of America

Ref CiviRec{contact.preferred_language} {contributionRecur.id}

mepps moved this task from Backlog to Doing on the Fundraising Sprint Pseudopretzels board.EditedAug 13 2020, 2:32 PM
mepps added subscribers: Pcoombe, Ejegg.

Also @Ejegg or @Pcoombe what is the language param on donatewiki? Actually I got my answer from the translations.

@mepps it's fine that this is from Michael. Right now we are automating emails that would have come from DS. At some point we'll make more formal looking emails from WMF.

There's a patch up with the three highest priority languages for now.

mepps added a comment.Aug 13 2020, 8:46 PM

@Eileenmcnaughton the patch doesn't work as written because I'm using create instead of update. I'm not actually sure which call to use with the way data-translate works.

@mepps I dug into it & wound up adding quite a few changes as I hit things. (be careful to re-fetch).

It is now on staging & I did a super superficial check on contact 10827232 to see if I can render his swedish but have not done more thorough checks on the final output - maybe we could trigger the emails to him to confirm?

@MBeat33 I'm about to trigger 3 emails from staging to go to you - one for each of Swedish, French & Japanese. If these look good I think it should be OK to go out

@MBeat33 erm more than 3 it seems - just adding your ref - so will try 3 more - look at the latest ones....

MBeat33 added a subscriber: Cstone.Aug 19 2020, 8:34 PM

These look good, thank you @Eileenmcnaughton and @Cstone for the Japan format tip

Change 619775 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add japanese, swedish, french translations for failed recurring messages Create function to make it easier in the future

https://gerrit.wikimedia.org/r/619775

mbeat33 - I just deployed this - maybe you can test on live now

@MBeat33 @CDenes_WMF @mepps so I guess this isn't 'done' & there are 7 more languages to go? Are there any blockers with them?

the task for the 7 other languages is not in the sprint

Ah thanks @DStrine

@MBeat33 let me know if it's OK to close this one

MBeat33 closed this task as Resolved.Aug 20 2020, 2:04 PM

Ok to close, many thanks for this Eileen.

I've joined the other Task as a subscriber.